@{
    ViewData["Title"] = "Category List";
}

<div class="card shadow border-0 mt-4">
    <div class="card-header bg-secondary bg-gradient ml-0 py-3">
        <div class="row">
            <div class="col-12 text-center">
                <h2 class="text-white py-2">Category List</h2>
            </div>
        </div>
    </div>

    <div class="card-body p-4">
        <div class="row pb-3">
            <div class="col-12 text-end">
                <a asp-controller="Category" asp-action="Create" class="btn btn-primary">
                    Create new Category<span>&nbsp;&nbsp;</span><i class="bi bi-plus-square-dotted"></i>
                </a>
            </div>
        </div>
    <table class="table table-bordered table-striped p-2">
        <thead>
            <tr>
                <th>
                    <h5><b>Category Name</b></h5>
                </th>
                <th>
                    <h5><b>Display Orders</b></h5>
                </th>
                <th>
                    <h5><b>Actions</b></h5>
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (var obj in Model)
            {
                    <tr>
                        <td>
                            <h6>@obj.Name</h6>
                        </td>
                        <td>
                            <h6>@obj.DisplayOrder</h6>
                        </td>
                        <td>
                            <div class="w-75 btn-group" role="group">
                                <a asp-controller="Category" asp-action="Edit" asp-route-id="@obj.Id" class="btn btn-primary mx-2">
                                    <i class="bi bi-pencil-square"></i> Edit
                                </a>
                                <a asp-controller="Category" asp-action="Delete" asp-route-id="@obj.Id" class="btn btn-danger mx-2">
                                    <i class="bi bi-trash3"></i> Delete
                                </a>
                            </div>
                        </td>
                    </tr>
            }
        </tbody>
    </table>
</div>
